# Uses of Class
org.eclipse.equinox.bidi.custom.StructuredTextTypeHandler

Packages that use StructuredTextTypeHandler
Package
Description
org.eclipse.equinox.bidi
This package provides classes for processing bidirectional text with a special structure to ensure its proper presentation.
org.eclipse.equinox.bidi.advanced
This package provides classes for users who need finer control on structured text handling.
org.eclipse.equinox.bidi.custom
This package provides APIs for plug-in developers to contribute handlers for specific types of bidirectional expressions not supported in the standard distribution.
org.eclipse.equinox.bidi.internal
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.

## Uses of StructuredTextTypeHandler in org.eclipse.equinox.bidi

Methods in org.eclipse.equinox.bidi that return StructuredTextTypeHandler
Modifier and Type
Method
Description
`static StructuredTextTypeHandler`
StructuredTextTypeHandlerFactory.`getHandler(String id)`
Obtains a structured text handler of a given type.

## Uses of StructuredTextTypeHandler in org.eclipse.equinox.bidi.advanced

Methods in org.eclipse.equinox.bidi.advanced that return StructuredTextTypeHandler
Modifier and Type
Method
Description
`StructuredTextTypeHandler`
IStructuredTextExpert.`getTypeHandler()`
Obtains the structured type handler associated with this `IStructuredTextExpert` instance.
Methods in org.eclipse.equinox.bidi.advanced with parameters of type StructuredTextTypeHandler
Modifier and Type
Method
Description
`static IStructuredTextExpert`
StructuredTextExpertFactory.`getStatefulExpert(StructuredTextTypeHandler handler, StructuredTextEnvironment environment)`
Obtains a IStructuredTextExpert instance for processing structured text with the specified type handler and the specified environment.

## Uses of StructuredTextTypeHandler in org.eclipse.equinox.bidi.custom

Fields in org.eclipse.equinox.bidi.custom declared as StructuredTextTypeHandler
Modifier and Type
Field
Description
`protected final StructuredTextTypeHandler`
StructuredTextCharTypes.`handler`
The StructuredTextTypeHandler instance utilized by the expert.

## Uses of StructuredTextTypeHandler in org.eclipse.equinox.bidi.internal

Subclasses of StructuredTextTypeHandler in org.eclipse.equinox.bidi.internal
Modifier and Type
Class
Description
`class`
`StructuredTextDelims`
A base handler for structured text composed of text segments separated by separators where the text segments may include delimited parts within which separators are treated like regular characters.
`class`
`StructuredTextDelimsEsc`
A base handler for structured text composed of text segments separated by separators where the text segments may include delimited parts within which separators are treated like regular characters and the delimiters may be escaped.
`class`
`StructuredTextSingle`
A base handler for structured text composed of two parts separated by a separator.
Fields in org.eclipse.equinox.bidi.internal declared as StructuredTextTypeHandler
Modifier and Type
Field
Description
`protected final StructuredTextTypeHandler`
StructuredTextImpl.`handler`
The structured text handler utilized by this expert.
Methods in org.eclipse.equinox.bidi.internal that return StructuredTextTypeHandler
Modifier and Type
Method
Description
`StructuredTextTypeHandler`
StructuredTextTypesCollector.`getHandler(String type)`
`StructuredTextTypeHandler`
StructuredTextImpl.`getTypeHandler()`
Methods in org.eclipse.equinox.bidi.internal that return types with arguments of type StructuredTextTypeHandler
Modifier and Type
Method
Description
`static Map<String,StructuredTextTypeHandler>`
StructuredTextTypesCollector.`getDefaultTypeHandlers()`
Returns the default structured text type handlers.
Constructors in org.eclipse.equinox.bidi.internal with parameters of type StructuredTextTypeHandler
Modifier
Constructor
Description
``
`StructuredTextImpl(StructuredTextTypeHandler structuredTextHandler, StructuredTextEnvironment environment, boolean shared)`
Constructor used in `StructuredTextExpertFactory`.

## Uses of StructuredTextTypeHandler in org.eclipse.jface.util

Constructors in org.eclipse.jface.util with parameters of type StructuredTextTypeHandler
Modifier
Constructor
Description
``
`StructuredTextSegmentListener(StructuredTextTypeHandler textTypeHandler)`
Creates a new structured text segment listener.